package com.ekingwin.bas.cloud.login.dao;

import com.ekingwin.bas.cloud.login.vo.LoginUserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName :
 * @description:
 * @author: zhangjie
 * @create: 2019-10-17 15:06
 **/
@Repository
public interface LoginUserDao {


    /**
    * 获取用户数据
    * @Param:  * @param userId
    * @return: com.ekingwin.bas.cloud.login.vo.LoginUserVo
    * @Author: zhangjie
    * @Date: 2019/10/17 16:00
    */
    LoginUserVo getUserDetail(String userId);


    /**
    * 下載類型
    * @Param:  * @param mobileType
    * @return: int
    * @Author: zhangjie
    * @Date: 2019/11/13 10:50
    */
    int insertAppDown(String mobileType);


    /**
    * 插入登录记录
    * @Param:  * @param userid
     * @param logintype
    * @return: int
    * @Author: zhangjie
    * @Date: 2019/11/13 10:57
    */
    int insertLoginInfo (@Param(value = "userid") String userid,
                         @Param(value = "logintype")String logintype);

    /**
     * 获取当前所有人所在组织
     * @param userid
     * @return
     */
    List<String> getUserOrg(String userid);

    String getUserAreas(String joinStr);

    /**
     * 判断是否是集团
     * @param userid
     * @return
     */
    String getUserAreasByJt(String userid);


    String getOutUserArea(String userid);

}
