package com.ekingwin.bas.cloud.org.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import tk.mybatis.mapper.entity.Example;

import com.ekingwin.bas.cloud.org.dao.entity.PostUserEsb;
import com.ekingwin.bas.cloud.org.dto.PostUserEsbDto;
import com.ekingwin.bas.mapper.BasMapper;

public interface IPostUserEsbDao extends BasMapper<PostUserEsb> {

	public List<Map<String, String>> getPostsByUserId(@Param("userid")String userid);

	/**
	 * 查询表里是否有这条数据
	 * @param syscode
	 * @param empid
	 * @param isP
	 * @param postCode
	 * @param string
	 * @return
	 */
	public int getNumByInfos(@Param("syscode")String syscode, @Param("empid")String empid, @Param("primarypost")String primarypost,
			@Param("postCode")String postCode, @Param("operate")String operate);

	public List<PostUserEsb> getPostUsers(@Param("example")Example example);

	/**
	 * 根据id删除员工-岗位推送信息
	 * @param id
	 */
	public void deletePostUserById(@Param("id")String id);

	/**
	 * 根据id修改员工-岗位推送状态
	 * @param id
	 */
	public void modifyPostUserStatus(@Param("id")String id);

	public PostUserEsbDto getPostUserById(@Param("id")String id);

}
