package com.ekingwin.bas.cloud.supplier.dao;


import com.ekingwin.bas.cloud.supplier.dto.SupplierBankDto;
import com.ekingwin.bas.cloud.supplier.dto.SupplierPersionDto;
import com.ekingwin.bas.cloud.supplier.dto.SupplierScopeDto;
import com.ekingwin.bas.cloud.supplier.dto.SuppliersDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName :
 * @description:
 * @author: zhangjie
 * @create: 2019-11-15 16:10
 **/
@Repository
public interface IpSapSupplierDtoMapper {


    int insert(SuppliersDto suppliersDto);

    /**
     * 获取所有的供应商
     * @return
     */

    List<SuppliersDto> getSupplierList();
    /**
    * 刪除銀行信息
    * @Param:  * @param supplierid
    * @return: int
    * @Author: zhangjie
    * @Date: 2019/11/15 17:03
    */
    int deleteBank(String supplierid);

    /**
    * 保存银行信息
    * @Param:  * @param supplierid
     * @param list
    * @return: int
    * @Author: zhangjie
    * @Date: 2019/11/15 17:05
    */
    int insertBankBatch(@Param(value = "supplierid") String supplierid,
                        @Param(value = "list") List<SupplierBankDto> list);

    /**
     * 获取所有银行信息
     * @param supplierid
     * @return
     */
    List<SupplierBankDto> getBankList(@Param(value = "supplierid") String supplierid);
    /**
    * 删除经营范围
    * @Param:  * @param supplierid
    * @return: int
    * @Author: zhangjie
    * @Date: 2019/11/15 17:09
    */
    int deleteScope(String supplierid);


    /**
     * 保存经营范围
     * @Param:  * @param supplierid
     * @return: int
     * @Author: zhangjie
     * @Date: 2019/11/15 17:09
     */
    int insertScopeBatch(@Param(value = "supplierid") String supplierid,
                         @Param(value = "list") List<SupplierScopeDto> list);

    /**
     * 获取经营范围
     * @param supplierid
     * @return
     */
    List<SupplierScopeDto> getScopeList(@Param(value = "supplierid") String supplierid);

    int deleteContract(String supplierid);



    /**
     * 保存联系人
     * @Param:  * @param supplierid
     * @return: int
     * @Author: zhangjie
     * @Date: 2019/11/15 17:09
     */
    int insertContractBatch(@Param(value = "supplierid") String supplierid,
                            @Param(value = "list") List<SupplierPersionDto> list);

    /**
     * 获取联系人信息
     * @param supplierid
     * @return
     */
    List<SupplierPersionDto> getContractList(@Param(value = "supplierid") String supplierid);
}

