package com.ekingwin.bas.cloud.supplier.service;

import com.ekingwin.bas.cloud.dto.BasePageDto;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.supplier.dto.SupplierDto;
import com.ekingwin.bas.cloud.supplier.dto.SuppliersDto;
import com.ekingwin.bas.cloud.supplier.vo.AccountCenterInfo;
import com.ekingwin.bas.cloud.supplier.vo.SupplierBankVo;
import com.ekingwin.bas.cloud.supplier.vo.SupplierPageInfoVo;
import com.ekingwin.bas.cloud.user.dto.PasswordInfoDto;
import com.ekingwin.bas.cloud.util.Result;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ISupplierService {
	public void createUser(SupplierDto supplierDto)throws BasException;

	//修改供应商密码
	void forgetUserPwd(PasswordInfoDto passwordInfoDto) throws Exception;

	//重置密码发送验证码
	Result sendSmsCode(PasswordInfoDto passwordInfoDto) throws Exception;

    //根据账号获取手机号和邮箱
	Result getPhoneAndMail(PasswordInfoDto passwordInfoDto) throws Exception;
    //修改账户密码
	Result updateUserPwd(PasswordInfoDto passwordInfoDto) throws Exception;
    //供应商列表查询
	PageInfo<SupplierPageInfoVo> selectPage(BasePageDto basePageDto) throws Exception;
    //获取供应商账户中心信息
	AccountCenterInfo getAccountCenterInfo(String supplierId) throws Exception;
    //修改供应商账户中心信息
	void updateAccountCenterInfo(AccountCenterInfo accountCenterInfo) throws Exception;


	/**
	 * 同步供应商
	 * @param suppliersDto
	 */
	void  saveOrUpdateSuppliers(SuppliersDto suppliersDto) throws Exception;


	/**
	 * 获取银行信息
	 * @param supplierId
	 * @return
	 */
	List<SupplierBankVo> getSuppliersBank(String supplierId);


	void initSapSuppliers(int pageSize,int pageNum) throws Exception;
}
