package com.ekingwin.bas.cloud.thirdinterface.orgsync.service;

import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dto.OrganizationDto;
import com.ekingwin.bas.cloud.thirdinterface.orgsync.dto.DeptList;
import com.ekingwin.bas.cloud.thirdinterface.orgsync.dto.PersonList;

public interface ISyncOrgService extends IBaseCurdService<OrganizationDto> {

	/**
	 * 获取部门数量
	 * @return
	 * @throws OrganizationException 
	 */
	public int getDeptCount() throws OrganizationException;
	
	/**
	 * 根据fromNumber和toNumber获取部门列表
	 * @return
	 * @throws OrganizationException 
	 */
	public DeptList getDeptList(int fromNumber,int toNumber) throws OrganizationException;
	
	/**
	 * 获取部门数量
	 * @return
	 * @throws OrganizationException 
	 */
	public int getPersonCount() throws OrganizationException;
	
	/**
	 * 根据fromNumber和toNumber获取部门列表
	 * @return
	 * @throws OrganizationException 
	 */
	public PersonList getPersonList(int fromNumber,int toNumber) throws OrganizationException;
	

}
