package com.ekingwin.bas.cloud.user.web;


import com.ekingwin.bas.cloud.user.dto.UserToBpmDto;
import com.ekingwin.bas.cloud.user.service.IUserMetaService;
import com.ekingwin.bas.cloud.util.Result;
import com.ekingwin.bas.cloud.util.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/syn/user")
@Api("同步用户到bpm引擎")
public class SysUserToBpmController {
	

	@Autowired
	@Qualifier(value = "userMetaServiceImpl")
	private IUserMetaService iUserMetaService;
	
	@RequestMapping(value = "/saveUserToBpm", method = RequestMethod.POST)
	@ApiOperation(value = "用户同步到bpm引擎", notes = "用户同步到bpm引擎")
	public Result saveUserOnBpm(@RequestBody UserToBpmDto userToBpmDto) throws Exception {
		if(StringUtils.isEmpty(userToBpmDto.getEmpuid())){
			throw new Exception("必填参数不能为空");
		}
		boolean result =iUserMetaService.saveUserToBpm(userToBpmDto);
		return Result.ok(result);
	}
	

	
}
